View Issue Details

IDProjectCategoryView StatusLast Update
0004723mantisbtfilterspublic2009-06-23 15:28
Reporterkgrubbs Assigned Todaryn  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.19.0 
Target VersionFixed in Version1.2.0rc1 
Summary0004723: Add new capability to "My View".... "Issues I've added Notes To"
Description

Not sure if this is appropriate under the "filters" category, but since those blocks on the "My view" just use different filters... thought this was the best one.

I just thought of this now while trying to find some bugs here on mantis that I have added notes to. I have no easy way to find them (that I know of). I will receive emails when new notes are added, and thats great. But I would like to be able to see a list of issues in mantis that I have added a note to.

TagsNo tags attached.

Relationships

related to 0008157 acknowledged User activity report 
related to 0008160 closeddaryn filter for notes 

Activities

TomR

TomR

2004-10-15 10:26

reporter   ~0008059

I second that, would be usefull for me too!

tandler

tandler

2004-10-15 10:41

reporter   ~0008060

Nice feature, I vote for it, too!

tandler

tandler

2005-02-23 03:45

reporter   ~0009368

Bugzilla allows filtering for issues where some user has added notes to.

astax

astax

2005-02-24 06:09

reporter   ~0009374

me too :)

mikewhit

mikewhit

2005-02-24 06:57

reporter   ~0009376

I see this as a particular instance of a filter panel which has a User dropdown, and a set of checkboxes:

User [xxxxxxxv]
reported []
updated []
etc.

You can then search for issues that have been updated in a certain way - or in ANY way - by a given user.

Useful for finding all Issues that you have touched, for example.
Or if someone leaves a project, checking over her submissions.

Perhaps it could even replace the existing Reporter filter field, with the 'reported by' checkbox filled in by default ...?!

daryn

daryn

2008-04-25 10:23

reporter   ~0017691

We've implemented this locally. I'll work on merging it in.

prabhurangan

prabhurangan

2009-03-30 07:30

reporter   ~0021278

@daryn

Please go through the issue mentioned below:

http://www.mantisbt.org/bugs/view.php?id=10255

daryn

daryn

2009-04-10 15:15

reporter   ~0021467

Implemented the simple version by defining a my view filter in the core/my_view_inc.php file and adding a configuration option to add it to the my view page. see http://git.mantisbt.org/?p=mantisbt.git;a=commitdiff;h=a0ff52e3a11fbca2abba99ca29195a24dc73e1d5

Related Changesets

MantisBT: master 4e629fc6

2009-04-10 19:03:38

daryn

Details Diff
=Implement bug 4723, display issues I've added notes to in a my view box Affected Issues
0004723
mod - core/my_view_inc.php Diff File
mod - lang/strings_english.txt Diff File
mod - config_defaults_inc.php Diff File

MantisBT: master a0ff52e3

2009-04-10 19:03:38

daryn

Details Diff
=Implement bug 4723, display issues I've added notes to in a my view box Affected Issues
0004723
mod - core/my_view_inc.php Diff File
mod - lang/strings_english.txt Diff File
mod - config_defaults_inc.php Diff File

Issue History

Date Modified Username Field Change
2004-10-15 09:50 kgrubbs New Issue
2004-10-15 10:26 TomR Note Added: 0008059
2004-10-15 10:41 tandler Note Added: 0008060
2005-02-23 03:45 tandler Note Added: 0009368
2005-02-24 06:09 astax Note Added: 0009374
2005-02-24 06:57 mikewhit Note Added: 0009376
2007-08-23 04:26 giallu Relationship added related to 0008157
2008-04-25 10:23 daryn Note Added: 0017691
2008-04-25 10:23 daryn Assigned To => daryn
2008-04-25 10:23 daryn Status new => assigned
2008-07-08 11:16 daryn Relationship added related to 0008160
2009-03-30 07:30 prabhurangan Note Added: 0021278
2009-04-10 15:15 daryn Note Added: 0021467
2009-04-10 15:15 daryn Status assigned => resolved
2009-04-10 15:15 daryn Fixed in Version => git trunk
2009-04-10 15:15 daryn Resolution open => fixed
2009-04-10 15:20 daryn Changeset attached master a0ff52e3 =>
2009-04-12 22:00 daryn Changeset attached master 4e629fc6 =>
2009-06-08 16:31 jreese Fixed in Version git trunk => 1.2.2
2009-06-23 15:28 jreese Status resolved => closed